;***************************************************************************
;*                              MowayGUI                                   *
;***************************************************************************
;*Descripción:                                                             *
;*Código generado automáticamente                                          *
;***************************************************************************
;***************************************************************************

  list p=16F876A
;*	Definición de los registros internos del PIC
  #include "P16F876A.INC"

;#####################################
  ;*	Vector de reset *
	org		0x00
  goto    INIT
  ;*	Memoria de programa	*
  org 0x05

;*************************************
;*Incluir las librerías de Moway
  #include    "lib_mot_101.inc" 
  #include    "lib_sen_101.inc" 
;*************************************

INIT

  ;Variable auxiliar de MowayGUI
  AUX_00  EQU 0x20
;#####################################
  ;*************************[CONFIGURACIÓN DE MOWAY]**********************
  ;Se configuran los sensores
  call    SEN_CONFIG
  call    MOT_CONFIG

;************Module Pause***********************************************

;***********************************************************************

  movlw   .40
  movwf   AUX_00
  decfsz  AUX_00,F
  goto    $+2
  goto    $+3
  call    Delay_50ms
  goto    $-4
;***********************************************************************


label0:
;************Module Move*************************************************

;***********************************************************************
  movlw   .100
  movwf   MOT_VEL
  bsf     MOT_CON,COMTYPE
  movlw   .0
  movwf   MOT_T_DIST_ANG
  bsf     MOT_CON,FWDBACK
  call    MOT_STR
;***********************************************************************
;************Module DigOpto******************************************

;***********************************************************************

  call    SEN_LINE_DIG
  btfss   SEN_LINE_L,0
  goto    label1

;***********************************************************************

label2:
  movlw   .100
  movwf   MOT_VEL
  bcf     MOT_CON,COMTYPE
  movlw   .40
  movwf   MOT_T_DIST_ANG
  movlw   0x01
  movwf   MOT_CENWHEEL
  bsf     MOT_CON,FWDBACK
  bsf     MOT_CON,RL
  call    MOT_ROT
  btfss   MOT_END
  goto    $-1

  goto    label0


label1:
;************Module DigOpto******************************************

;***********************************************************************

  call    SEN_LINE_DIG
  btfss   SEN_LINE_R,0
  goto    label0

;***********************************************************************

  goto    label2


END
